curl --request GET \
--url https://api.example.com/cabinet/promo/offers \
--header 'Authorization: Bearer <token>'[
{
"id": 123,
"notification_type": "<string>",
"effect_type": "<string>",
"expires_at": "2023-11-07T05:31:56Z",
"is_active": true,
"is_claimed": true,
"discount_percent": 123,
"claimed_at": "2023-11-07T05:31:56Z",
"extra_data": {}
}
]Get list of available promo offers for the user.
curl --request GET \
--url https://api.example.com/cabinet/promo/offers \
--header 'Authorization: Bearer <token>'[
{
"id": 123,
"notification_type": "<string>",
"effect_type": "<string>",
"expires_at": "2023-11-07T05:31:56Z",
"is_active": true,
"is_claimed": true,
"discount_percent": 123,
"claimed_at": "2023-11-07T05:31:56Z",
"extra_data": {}
}
]Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Successful Response